Moderate Entity
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/entities/:entityId/moderation \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"reason": "<string>"
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/entities/:entityId/moderation"
payload = {
"action": "<string>",
"reason": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>', reason: '<string>'})
};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/entities/:entityId/moderation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"moderationStatus": "<string>"
}Space — Moderation
Moderate Entity
Approve or remove an entity within a space
PATCH
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
entities
/
:entityId
/
moderation
Moderate Entity
Takes a direct moderation action on an entity in a space. Requires the caller to be a moderator or admin.
See also: useModerateSpaceEntity
Path Parameters
UUID of the space.
UUID of the entity to moderate.
Body Parameters
The moderation action:
"approve" or "remove".Optional reason for the moderation action. Up to 1,000 characters.
Response
Confirmation message.
The resulting status:
"approved" or "removed".⌘I

